System.Web 2.0.0.0 System.MarshalByRefObject

The abstract class provides the common methods and properties shared between the and objects. Implementations of these classes provide the ASP.NET runtime with access to files and paths used for compilation. For more information on using virtual files and paths, see the class.

Provides the core implementation for the and objects. An abstract class, it cannot be instantiated.

- Constructor

  Although you cannot directly construct an instance of the class, you can call this constructor from the constructor of an inheriting class.

  Initializes the class for use by an inherited class instance. This constructor can be called only by an inherited class.

  2.0.0.0
- Method
  System.Object

  This method overrides the method on its base class. It always returns null and thereby prevents a lease from being created that would limit the lifetime of the virtual file or directory.

  Gives a instance an infinite lifetime by preventing a lease from being created.

  Always null.

  2.0.0.0
- Property
  System.Boolean To be added. To be added.

  When overridden in a derived class, gets a value indicating whether the instance represents a virtual file or a virtual directory.

  2.0.0.0
- Property
  System.String To be added.

  The property is typically the file name and extension associated with the resource, although virtual resources may use arbitrary names.

  Gets the display name of the virtual resource.

  2.0.0.0
- Property
  System.String To be added.

  The property returns the path to the file or directory represented by this object.

  Gets the virtual file path.

  2.0.0.0